#!/usr/bin/python

import SparqEE #version 1
import re
import signal
import sys


# GLOBALS --------------------------------------------------------------------

SparqEE.glob_debug = 5              #Override global debug print level   

def debug(str):
    SparqEE.debug_print( str, SparqEE.debug["DEBUG"] )
    
def debug2(cmd, ret):
    debug(cmd)
    debug( "---> CMD RET --->: " + str(ret) )
    debug( "---> BUFFER  --->" + SparqEE.buffer )

#-----------------------------------------------------------------------------

try:
    SparqEE.cmd_setup()             #set-up shield GPIO
    SparqEE.cmd_power()             #power on
    SparqEE.cmd_connection()        #check cellular connection

    #BASIC WEB QUERY
    #Nickname                                               #at command         #Description
    ret = SparqEE.at_webopen()                              #at_zipcallOpen     #start call - state 1 open
    debug2 ("WEBOPEN", ret)
    
    ret = SparqEE.at_websetup(1,0,"www.dbunplugged.com",80) #at_zipopen         #socket id,type(UDP=1,TCP=0),hostname/IP,Port
    debug2 ("WEBSETUP", ret)
    
    ret = SparqEE.at_websend(1)                             #at_zipsend         #send data
    debug2 ("WEBSEND", ret)
    
    msg = "GET /ip HTTP/1.1\r\nHost: www.dbunplugged.com\r\n\r\n"
    ret = SparqEE.at_webmsg(msg)                            #at_zipwrite
    debug2 ("WEBMSG", ret)
    
    ret = SparqEE.at_webclose()                             #at_zipcallClose    #stop call - state 0 close
    debug2 ("WEBCLOSE", ret)

    
#-----------------------------------------------------------------------------

    SparqEE.debug_print( "***END***", SparqEE.debug["WARNING"] )
    SparqEE.cmd_cleanup()           #clean-up shield GPIO
    
except:
    SparqEE.debug_print( "***END (exception)***", SparqEE.debug["CRITICAL"] )
    SparqEE.cmd_cleanup()           #clean-up shield GPIO
    print "Unexpected error:", sys.exc_info()[0]
    raise
